[vala/0.46] testrunner: Invalid tests and therefore expected failures must return 1
- From: Rico Tzschichholz <ricotz src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [vala/0.46] testrunner: Invalid tests and therefore expected failures must return 1
- Date: Wed, 5 Feb 2020 10:05:32 +0000 (UTC)
commit 22d58a20434ccd0dc0c2c4bb743bcfec29226110
Author: Rico Tzschichholz <ricotz ubuntu com>
Date: Wed Feb 5 08:32:53 2020 +0100
testrunner: Invalid tests and therefore expected failures must return 1
tests/testrunner.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
---
diff --git a/tests/testrunner.sh b/tests/testrunner.sh
index e8e07ead3..bb061af86 100755
--- a/tests/testrunner.sh
+++ b/tests/testrunner.sh
@@ -115,7 +115,11 @@ function sourceend() {
if [ -n "$testpath" ]; then
if [ $INVALIDCODE -eq 1 ]; then
PACKAGEFLAGS=$([ -z "$PACKAGES" ] || echo $PACKAGES | xargs -n 1 echo -n " --pkg")
- echo "! $VALAC $VALAFLAGS $PACKAGEFLAGS -C $SOURCEFILE" > check
+ echo '' > prepare
+ echo "$VALAC $VALAFLAGS $PACKAGEFLAGS -C $SOURCEFILE" > check
+ echo "RET=\$?" >> check
+ echo "if [ \$RET -ne 1 ]; then exit 1; fi" >> check
+ echo "exit 0" >> check
elif [ $GIRTEST -eq 1 ]; then
if [ $PART -eq 1 ]; then
echo " </namespace>" >> $SOURCEFILE
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]